Kies tells me "Your phone does not support software upgrading via Kies.&quo

This topic is locked from further discussion.

#1 Posted by JustPlainLucas (73564 posts) -

Ok, here's the deal. When 4.0 came out, I downloaded Kies and upgraded my Samsung Galaxy SII with no problems. 4.0 worked beautifully. This was about three or so months ago. Then about two weeks ago, I accidentally broke the screen so I had to get it replaced. I was given a refurbished phone and immediately upgraded it via Kies where again it worked perfectly, except the phone had bad speakers so I had to take it back yesterday to get it replaced. Now I'm on my new replacement, same model and everything, only when I try to upgrade it again, it says "Your phone does not support software upgrading via Kies." I uninstalled Kies and the phone drivers, reinstalled them and again, same message. This phone is exactly the same model as the previous two, so why the hell isn't it work?! Any idea?

#2 Posted by GTR12 (8937 posts) -

Kies is a POS, get Odin and upgrade that way, sometimes it likes you, other times it hates you or your phone.

#3 Posted by JustPlainLucas (73564 posts) -

Kies is a POS, get Odin and upgrade that way, sometimes it likes you, other times it hates you or your phone.

GTR12
Odin doesn't require me to root or anything does it?
#4 Posted by GTR12 (8937 posts) -

[QUOTE="GTR12"]

Kies is a POS, get Odin and upgrade that way, sometimes it likes you, other times it hates you or your phone.

JustPlainLucas

Odin doesn't require me to root or anything does it?

Nope, and you get to use FW direct from Samsung.